require("map/level")

----------------------------------
-- Cave levels
----------------------------------

AddLevel(LEVELTYPE.CAVE, {
		id="CAVE_LEVEL_1",
		name="CAVE_LEVEL_1",
		overrides={
			{"world_size", 		"huge"},
			-- {"day", 			"onlynight"}, 
			{"waves", 			"off"},
			{"location",		"cave"},
			{"boons", 			"never"},
			{"poi", 			"never"},
			{"loop", 			"never"},
			{"branching", 		"most"},
			{"traps", 			"never"},
			{"protected", 		"never"},
			{"start_setpeice", 	"CaveStart"},
			{"start_node",		"SinkholeCopses"},
			
		},

 		background_node_range = {0,1},


		tasks={
			"MudWorld",
			"MudLand",
			"MudLights",
			"MudPit",
			"BigBatCave",
			"RockyCave",
			"RedForest",
			"GreenForest",
			"BlueForest",
			"SpillagmiteCaverns",
        		"SwampyDark",
       			"UnderSwamp",
        		"UndergroundForest",
        		"PleasantSinkhole",
        		--"FungalNoiseForest",
        		--"FungalNoiseMeadow",
        		--"BatCloister",
        		"RabbitTown",
        		"RabbitCity",
        		"SpiderCave",
        		"RabbitSpiderWar",
			},
	
	})

AddLevel(LEVELTYPE.CAVE, {
		id="CAVE_LEVEL_2",
		name="CAVE_LEVEL_2",
		overrides={
			{"world_size", 		"small"},
			{"day", 			"onlynight"}, 
			{"waves", 			"off"},
			{"location",		"cave"},
			{"loop", 			"never"},
			{"branching", 		"most"},
			{"boons", 			"never"},
			{"poi", 			"never"},
			{"traps", 			"never"},
			{"protected", 		"never"},
			{"start_setpeice", 	"RuinsStart"},
			{"start_node",		"BGWilds"},
		},
		tasks={
			"RuinsStart",
			"TheLabyrinth",
			"Residential",
			"Military",
			"Sacred",
		},
		numoptionaltasks = math.random(1,2),
		optionaltasks = {
			"MoreAltars",
			"SacredDanger",
			"FailedCamp",
			"Residential2",
			"Residential3",
			"Military2",
			"Sacred2",
		},

		required_prefabs = {
			"minotaur"
		},

	})
